// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/XmlParser.hpp"
#include "util/CodeGen.hpp"

namespace Dawn {
  enum AlignType {
    UI_COMPONENT_ALIGN_START,
    UI_COMPONENT_ALIGN_MIDDLE,
    UI_COMPONENT_ALIGN_END,
    UI_COMPONENT_ALIGN_STRETCH
  };

  struct Alignment {
    float_t x0 = 0;
    float_t y0 = 0;
    float_t x1 = 0;
    float_t y1 = 0;

    enum AlignType xAlign = UI_COMPONENT_ALIGN_START;
    enum AlignType yAlign = UI_COMPONENT_ALIGN_START;
  };
  
  enum ChildType {
    CHILD_TYPE_LABEL
  };
}